> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudblast.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices

> Returns a paginated list of your invoices, sorted by most recent first.



## OpenAPI

````yaml GET /account/invoices
openapi: 3.0.3
info:
  title: CloudBlast API
  description: >-
    The CloudBlast V2 API provides a modern RESTful interface for managing your
    cloud infrastructure programmatically. All responses follow a consistent `{
    "data": ... }` or `{ "error": ... }` format.
  version: 2.0.0
servers:
  - url: https://console.cloudblast.io/api/v2
    description: Production
security:
  - bearerAuth: []
paths:
  /account/invoices:
    get:
      tags:
        - Account
      summary: List invoices
      description: Returns a paginated list of your invoices, sorted by most recent first.
      operationId: listInvoices
      parameters:
        - $ref: '#/components/parameters/Page'
      responses:
        '200':
          description: Paginated invoice list
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Invoice'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
        '401':
          $ref: '#/components/responses/Unauthenticated'
components:
  parameters:
    Page:
      name: page
      in: query
      required: false
      schema:
        type: integer
        default: 1
      description: Page number for pagination
  schemas:
    Invoice:
      type: object
      properties:
        id:
          type: integer
          example: 42
        status:
          type: string
          enum:
            - draft
            - open
            - paid
            - void
            - uncollectible
          example: paid
        total:
          type: number
          format: float
          description: Total amount in EUR
          example: 29.99
        amount_due:
          type: number
          format: float
          example: 0
        amount_paid:
          type: number
          format: float
          example: 29.99
        type:
          type: string
          nullable: true
          example: null
        created_at:
          type: string
          format: date-time
          example: '2026-01-15T10:30:00+00:00'
    PaginationMeta:
      type: object
      properties:
        current_page:
          type: integer
          example: 1
        last_page:
          type: integer
          example: 3
        per_page:
          type: integer
          example: 25
        total:
          type: integer
          example: 72
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: Machine-readable error code
            message:
              type: string
              description: Human-readable error message
          required:
            - code
            - message
  responses:
    Unauthenticated:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: UNAUTHENTICATED
              message: >-
                Missing or invalid Authorization header. Use: Authorization:
                Bearer <token>
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API token from your CloudBlast account settings. Pass as `Authorization:
        Bearer <token>`.

````